Agent list request

Request of list agent sessions

Endpoint

GET /api/agent/session/

Auth

Authorization: Bearer ${token}

Query Parameters

KeyDefaultDescription
limit-1
offset0

Response

Json
[
    {
        "kind": "status",
        "payload": {
            "code": 0,
            "message": ""
        }
    },
    {
        "kind": "total",
        "payload": {
            "value": 0
        }
    },
    {
        "kind": "entity",
        "payload": {
            "identity": "",
            "workflow": "",
            "model": "",
            "input": "",
            "created_at": 0
        }
    }
]

Notes

  • Agent Permission Required
  • model and input come from the session's latest model call, present once the session has been prompted. input is the clipped latest input message.